{% extends 'base.html' %}

{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                <ul>
                    <li><a href="{% url 'account:sign-in' %}">Login</a></li>
                </ul>  
            </div>
        </div>
        <div class="row">
            <form method="post">
                <div class="text-center">
                    <h1>User Registration</h1>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.first_name.label_tag }}
                        {{ registration.first_name }}
                        {{ registration.errors.first_name }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.last_name.label_tag }}
                        {{ registration.last_name }}
                        {{ registration.errors.last_name }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.username.label_tag }}
                        {{ registration.username }}
                        {{ registration.errors.username }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.email.label_tag }}
                        {{ registration.email }}
                        {{ registration.email.errors }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.password1.label_tag }}
                        {{ registration.password1 }}
                        {{ registration.errors.password1 }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        {{ registration.password2.label_tag }}
                        {{ registration.password2 }}
                        {{ registration.errors.password2 }}
                    </div>
                </div>
                {% csrf_token %}
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <input type="submit" class="btn btn-primary" name="submit" value="Create Account">
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}